(************************************************************************
 *                                                                      *
 *   Ant Access Viewer                                                  *
 *   (C) 2002-2005 Antoine Potten                                       *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************)

{
  History:
    2002-05-10 : 1.0.0 :  Initial release
    2002-12-08 : 1.0.1 :  Opens database specified in paramters (so it is
                          possible to associate .mdb files with the program)
    2005-06-10 : 1.1.0 :  Can save to CSV
    ?            1.1.1 :  ?
    2008-04-13 : 1.1.2 :  Added ` around table name for special characters
    2008-05-09 : 1.1.3 :  Problem when opening 2nd file

}

program AccessViewer;

uses
  Forms,
  SysUtils,
  fMain in 'fMain.pas' {MainForm},
  Global in 'Global.pas',
  ProgramSettings in 'ProgramSettings.pas',
  ConstValues in 'ConstValues.pas',
  fAbout in 'fAbout.pas' {AboutForm},
  FileManager in '..\Common\FileManager.pas',
  messageform in '..\Common\messageform.pas' {MessageWin},
  base in '..\Common\base.pas' {BaseDlg},
  functions_files in '..\Common\functions_files.pas',
  functions_str in '..\Common\functions_str.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'Ant Access Viewer';
  Settings := TSettings.Create(ChangeFileExt(ParamStr(0), '.ini'));
  Settings.Load;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
  Settings.Save;
  Settings.Free;
end.
